Which plugins are needed for J2ME development in Netbeans 6.9?

I have installed Netbeans 6.9 Java SE version. I have then added the plugin 'Mobility'.

Now although I see the wizard for creating Java ME applications, it stops at the following stage: http://i.imgur.com/WGEtl.png

It says that there is no compatible platform for Java ME installed. And in fact, there is no "C:\Program Files\NetBeans 6.9\mobility" folder. Can I install any additional plugins to get the Java ME 3.0 SDK that is supposedly bundled with Netbeans?

Answers


Java ME 3.0 SDK is bundled with the Java version (which is also referred to as a bundle)... not the Java SE bundle of NB.

See http://netbeans.org/downloads/index.html for details.

There does not appear to be a plugin that you can download to install (and register) the Java ME 3.0 SDK after installing the Java SE bundle.

You will need to download the Java ME 3.0 SDK installer, install the SDK, and register the manually installed SDK with the IDE.


Need Your Help

Most Efficient way of Filtering an Html Table?

javascript jquery html html-table filtering

I have an ajax function which call a servlet to get list of products from various webservices, the number of products can go up to 100,000. I need to show this list in a html table.

titanium animate label color

animation appcelerator appcelerator-titanium

Please see the following code snippet, tested in Appcelerator Studio SDK 5.2.0.GA: